# pn_connection_stats_settings – CLI command to modify connection-stats-settings

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to modify the settings for collecting statistical data about connections.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_client_server_stats_log_disk_space string |  | disk-space allocated for statistics (including rotated log files).

pn_client_server_stats_log_enable
boolean

Choices:
- no
- yes

Enable or disable statistics.

pn_client_server_stats_log_interval string |  | interval to collect statistics.
pn_client_server_stats_max_memory string |  | maximum memory for client server statistics.
pn_cliswitch string |  | Target switch to run the CLI on.

pn_connection_backup_enable
boolean

Choices:
- no
- yes

Enable backup for connection statistics collection.

pn_connection_backup_interval string |  | backup interval for connection statistics collection.
pn_connection_max_memory string |  | maximum memory allowed for connection statistics.
pn_connection_stats_log_disk_space string |  | disk-space allocated for statistics (including rotated log files).

pn_connection_stats_log_enable
boolean

Choices:
- no
- yes

enable or disable statistics.

pn_connection_stats_log_interval string |  | interval to collect statistics.
pn_connection_stats_max_memory string |  | maximum memory allowed for connection statistics.

pn_enable
boolean

Choices:
- no
- yes

Enable or disable collecting connections statistics.

pn_fabric_connection_backup_enable
boolean

Choices:
- no
- yes

enable backup for fabric connection statistics collection.

pn_fabric_connection_backup_interval string |  | backup interval for fabric connection statistics collection.
pn_fabric_connection_max_memory string |  | maximum memory allowed for fabric connection statistics.
pn_service_stat_max_memory string |  | maximum memory allowed for service statistics.

state
string / required

Choices:
- update

State the action to perform. Use `update` to modify the connection-stats-settings.

## Examples

    - name: "Modify connection stats settings"
      pn_connection_stats_settings:
        pn_cliswitch: "sw01"
        state: "update"
        pn_enable: False
        pn_fabric_connection_max_memory: "1000"

    - name: "Modify connection stats settings"
      pn_connection_stats_settings:
        pn_cliswitch: "sw01"
        state: "update"
        pn_enable: True

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the connection-stats-settings command.
stdout list | always | set of responses from the connection-stats-settings command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.